Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.http
Interface HttpUserSessionManager

All Superinterfaces:
  UserSessionManager

    public interface HttpUserSessionManager

extends UserSessionManager

`HttpUserSessionManager` is an extended interface of `UserSessionManager` for HTTP protocol.

Method Summary
`boolean` | `checkLogin(javax.servlet.http.HttpServletRequest req, java.lang.String realm, java.util.Properties query)` Checks whether the request has login information.
`boolean` | `checkLoginEx(javax.servlet.http.HttpServletRequest req, java.lang.String realm, java.util.Properties query)` Checks whether the request has login information.
`UserSession` | `getUserSession(javax.servlet.http.HttpServletRequest req)` Gets a `UserSession` from a `HttpServletRequest`.
`UserSession` | `loginMD5(java.lang.String realm, java.lang.String userID, java.lang.String digestResponse, java.lang.String unquotedNonce, java.lang.String digestURI, java.lang.String httpMethod)` Logins a user in the digest MD5 method.
`void` | `logout(javax.servlet.http.HttpServletRequest req)` Logouts a session by `HttpServletRequest`
`void` | `removeExpiredUserSessions(javax.servlet.http.HttpServletRequest req)` Removes all expired user sessions.
`void` | `sendUnauthorizedResponse(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, java.lang.String authScheme, java.lang.String realm)` Sends unauthorized information to request user.

Methods inherited from interface jet.server.monitor.api.UserSessionManager
`getAllUserSessions, getDefaultMaxInactiveInterval, getLastLoginTime, getUserSession, login, setDefaultMaxInactiveInterval`

Method Detail

### getUserSession

    UserSession getUserSession(javax.servlet.http.HttpServletRequest req)

  Gets a `UserSession` from a `HttpServletRequest`.

  Parameters:
    `req,` - A `HttpServletRequest`
  Returns:
    A `UserSession` wrapped by the `HttpServletRequest`.

### sendUnauthorizedResponse

    void sendUnauthorizedResponse(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse res,
                                  java.lang.String authScheme,
                                  java.lang.String realm)
                                  throws java.io.IOException

  Sends unauthorized information to request user.

  Parameters:
    `req,` - A `HttpServletRequest`.
    `res,` - A `HttpServletResponse`.
    `authScheme,` - The specified authentication scheme.
    `realm,` - The active realm of Report Server.
  Throws:
    ``IOException`,` - When a `IOException` has occurred.
    `java.io.IOException`

### removeExpiredUserSessions

    void removeExpiredUserSessions(javax.servlet.http.HttpServletRequest req)

  Removes all expired user sessions.

  Parameters:
    `req,` - A `HttpServletRequest`.

### checkLogin

    boolean checkLogin(javax.servlet.http.HttpServletRequest req,
                       java.lang.String realm,
                       java.util.Properties query)
                       throws java.io.IOException,
                              InvalidUserSessionException

  Checks whether the request has login information.

  Parameters:
    `req,` - A `HttpServletRequest`.
    `realm,` - The currently active realm of Report Server.
    `query,` - The parameter properties of the request.
  Returns:
    true, if the request has login information, or else return false.
  Throws:
    `java.io.IOException`
    `InvalidUserSessionException`

### checkLoginEx

    boolean checkLoginEx(javax.servlet.http.HttpServletRequest req,
                         java.lang.String realm,
                         java.util.Properties query)
                         throws java.io.IOException,
                                InvalidUserSessionException,
                                InvalidUserException

  Checks whether the request has login information.

  Parameters:
    `req,` - A `HttpServletRequest`.
    `realm,` - The currently active realm of Report Server.
    `query,` - The parameter properties of the request.
  Returns:
    true, if the request has login information, or else return false.
  Throws:
    `InvalidUserException` - if the user is not valid.
    `java.io.IOException`
    `InvalidUserSessionException`

### loginMD5

    UserSession loginMD5(java.lang.String realm,
                         java.lang.String userID,
                         java.lang.String digestResponse,
                         java.lang.String unquotedNonce,
                         java.lang.String digestURI,
                         java.lang.String httpMethod)
                         throws InvalidUserSessionException

  Logins a user in the digest MD5 method.

  Parameters:
    `realm` - The realm.
    `userID` - The user ID.
    `digestResponse` - The digest response.
    `unquotedNonce` - The unquoted nonce.
    `digestURI` - The digest URI.
    `httpMethod` - The HTTP method.
  Returns:
    the `UserSession`.
  Throws:
    ``InvalidUserSessionException`,` - if a `InvalidUserSessionException` has occurred.
    `InvalidUserSessionException`
  See Also:
    `UserSession`

### logout

    void logout(javax.servlet.http.HttpServletRequest req)

  Logouts a session by `HttpServletRequest`

  Parameters:
    `req,` - A reference of `HttpServletRequest`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD